/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GUICHANGEACCOUNTNAME_H
#define GUICHANGEACCOUNTNAME_H

#include "guichangeaccountnamebase.h"
#include "guimain.h"
#include "hobit.h"

class GuiMain;
/**
*class to change name of account 
*/
class GuiChangeAccountName: public GuiChangeAccountNameBase
{
  Q_OBJECT
public:

  /**
  *class to change name of account 
  *
  *@param main
  *@param parent the parent dialog of this widget
  *@param name widgets title
  *@param hobit
  */
  GuiChangeAccountName(QWidget *parent, GuiMain* guimain, const char *name = 0, HoBIT* hobit = 0);

   /** destructor*/
  ~GuiChangeAccountName();

/** set hobit object
 */
  void setHoBIT(HoBIT* hobit);
 /** Called on show. Sets current account.
 */
 void showEvent ( QShowEvent * );
public slots:
  /**
  *returns to/shows last visible Widget
  */
  virtual void slotBack();
  /**
  *function to rename account and refresh the current mainwindow
  */
  virtual void accept();

private:
  GuiMain* _main;
  HoBIT* _hobit;
};

#endif
