/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GUISHOWDATA_H
#define GUISHOWDATA_H

#include "guishowdatabase.h"

class HoBIT;

class QString;

class GuiShowData : public GuiShowDataBase
{
 Q_OBJECT
  public:
    /** Constructor
    */
    GuiShowData(QWidget *parent, const char *name, HoBIT * hobit);
    /**Destructor
    */
  virtual  ~GuiShowData();
  
    /** Updates the data listview.
    */
    void refresh();
    
    /** set hobit object*/
    void setHoBIT(HoBIT* hobit);
    
  public slots:
    /** Emits signal back.
    */
    void slotBack();
    /** Emits signal help request.
    */
    void slotHelp();

  signals:
    void back();
    void helpRequest(const QString& );
    
  private:
    /**
    * updates the list of users
    */
    void updateList();
       
   /** The HoBIT object to query
   */
   HoBIT * _hobit;  
};

#endif
