/***************************************************************************
                          guistartstandingorder.h  -  description
                             -------------------
    begin                : Sa Nov 13 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUISTARTSTANDINGORDER_H
#define GUISTARTSTANDINGORDER_H
#include <qwidget.h>
#include <guitransferform.h>
#include "hobit.h"
#include "guimain.h"

/**
*this is the class for the start of the standingOrder
*/
class GuiStartStandingOrder : public GuiTransferForm
{
  Q_OBJECT

public:

  /**
  *constructor of GuiStartStandingOrder
  *
  *@param main a pointer on moneypenny´s main class
  *@param parent a pointer on the main widgets widget stack
  *@param name widgets title
  *@param hobit the hobit object, needed for hbci functions
  */
  GuiStartStandingOrder(QWidget *parent, const char *name=0, HoBIT* hobit = 0);

  /**
  *destructor of GuiStartStandingOrder
  */
  ~GuiStartStandingOrder();

  /** Called on Ok
   */
  void accept();
  
 protected:
  /** Builds the html table rows for the reconfirmation dialog. Returns a string that ist to be included into <table> </table tags. 
  */
  QString reconfirmationTableRows();
  
  /** Creates the standing order
  */
  bool createJob();
  
  /** Additional parameters for the standing order
   */
  QDate _FirstDate;
  /** Last Execution date
   */
  QDate _LastDate;
  /** Day of the month OR week, if _Weekly is true
   */
  int _Day;
  /** True, if turnus is in weeks
   */
  bool _Weekly;
  /** Excecution interval in months OR
   * in weeks, if _weekly is true
   */ 
  int _Turnus;
};

#endif
