/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "keyfilerdh2.h"
#include "crypttripledes.h"


/**Constructor loads data into QByteArray _Data
*/
KeyFileRDH2::KeyFileRDH2(const QString & fileName, const QString & password)
 : KeyFile(fileName, password)
{
 _Ok= false;
 if(!exists())
 return;
 int errorposition = readFile();
 if(errorposition != 0){ //1 is Ok
    qDebug("Error when parsing keyfile %s at fileposition: %i", fileName.latin1(), -errorposition);
    _Ok = false;
 } 
 else _Ok = true;
}


KeyFileRDH2::~KeyFileRDH2()
{
 qDebug("Destructor KeyFileRDH2 finished");
}

/** Read and parse the key file. Returns true, if ok. Sends error messages to stderr.
* NOT YET IMPLEMENTED!!!
*/
bool KeyFileRDH2::parseFile(){
 HoBIT_TLV tlv;
// RDH2DiskHeader * header;
 int bytesRead = 0;
 int filePos = 0; 
  
 //Read all TLV's of the file
 bytesRead = _TLV_Header.readNextTLV(this);
 qDebug(_TLV_Header.debugString().latin1());
 qDebug(_TLV_Header.debugHex().latin1());
 if(bytesRead != 0)
  filePos += bytesRead;
 else{
  qDebug("KeyFileRDH2::parseFile: Error when reading TLV_Header. File position: %i", filePos); 
  return false;
 } 
 
 //To be continued!!!
 
 return true;
}
