/***************************************************************************
                          transactionitem.h  -  description
                             -------------------
    begin                : Fr, march 24th 2006
    copyright            : (C) 2006 by Walter Roth
    email                : moneypenny@in-fh-swf.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef TRANSACTIONITEM_H
#define TRANSACTIONITEM_H

#include <qtable.h>
#include <qdatetime.h>
#include "transaction.h"
#include "datedtransfer.h"
#include "standingorder.h"
#include <openhbci2/pointer.h>

/**Holds the data for a transaction
 */
 
class TransactionItem  {
public:
  TransactionItem(Pointer<Transaction> dt);
  //TransactionItem(QTable * table, int row, Pointer<Transaction> dt);
  virtual ~TransactionItem();
 // virtual void setTransaction( Pointer<Transaction>_newVal);
  virtual const Pointer<Transaction> transaction();
  /** Encodes the Transaction data as an html- table row string.
  */
  QString htmlTableRow(const QString & bgColor);
  /** Read property of QString _OurAccount. 
  */
  QString TransactionItem::getOurAccountId()const;
  /** Read property of QString _OurAccount. 
  */
  QString TransactionItem::getOtherAccountId()const;
  /** Read property of QString _OtherBankCode. 
  */
  QString TransactionItem::getOtherBankCode()const;
  /** Read property of QString _OurBankCode. 
  */
  QString TransactionItem::getOurBankCode()const;
  /** Read property of QString _OtherName. 
  */
  QString TransactionItem::getOtherName()const;
  /** Read property of QString _Text. 
  */
  QString TransactionItem::getText()const;
  /** Read property of QString _ValutaDate. 
  */
  QDate TransactionItem::getValutaDate()const;
  /** Read property of QString _PurposeLine. First line is line 1
  */
  QString getPurposeLine(int line)const;
  /** Read property of QString Purpose.
  */
  QStringList getPurpose()const;
  /** Read property of numeric value  
  */
  double getNumericValue();
  
  /** Adds the transactionitem as last row to table.
   */
  void addToTable(QTable * table, int row, const QString & dateFormat);

private: // Private attributes
  Pointer<Transaction> _Transaction;
};


#endif /*TRANSACTIONITEM_H_*/
